/*
  *** Blocktrap GBA ***
 Franois PESSAUX September 2004
 This program is freeware.
 Use its sources as you whant provided that you leave this copyright unchanged
 and that you drop a small word telling that I'm the author of these sources.
 Thank's a lot.
   --Francois
*/

#ifndef __BLOCKS_H
#define __BLOCKS_H

#include "background.h"
#include "requesters_gfx.h"
#include "fonts.h"


#define FONT_PALETTE_SLOT 1
#define BLUE_BLOCKS_PALETTE_SLOT 2
#define RED_BLOCKS_PALETTE_SLOT 3
#define GREEN_BLOCKS_PALETTE_SLOT 4
#define YELLOW_BLOCKS_PALETTE_SLOT 5
#define COLOR_INDEP_BLOCKS_PALETTE_SLOT 6
#define MISC_REQUESTERS_PALETTE_SLOT 7


#define NB_COLOR_DEP_PALETTE_ENTRIES 10
extern const u16 blue_block_palette[NB_COLOR_DEP_PALETTE_ENTRIES]
  __attribute__ ((section (".rodata"))) ;
extern const u16 red_block_palette[NB_COLOR_DEP_PALETTE_ENTRIES]
  __attribute__ ((section (".rodata"))) ;
extern const u16 green_block_palette[NB_COLOR_DEP_PALETTE_ENTRIES]
  __attribute__ ((section (".rodata"))) ;
extern const u16 yellow_block_palette[NB_COLOR_DEP_PALETTE_ENTRIES]
  __attribute__ ((section (".rodata"))) ;


#define NB_COLOR_INDEP_PALETTE_ENTRIES 16
extern const u16 color_indep_blocks_palette[NB_COLOR_INDEP_PALETTE_ENTRIES]
  __attribute__ ((section (".rodata"))) ;


#define NB_TILES_PER_BLOCK 4


#define NB_COLORED_BLOCKS_TILES 98
extern const u8 colored_blocks_tiles[NB_COLORED_BLOCKS_TILES * 32]
  __attribute__ ((section (".rodata"))) ;


#define NB_COLOR_INDEP_BLOCKS_TILES 72
extern const u8 color_indep_blocks_tiles[NB_COLOR_INDEP_BLOCKS_TILES * 32]
  __attribute__ ((section (".rodata"))) ;


/* Blocs dpendants de la couleur. */
#define EMPTY_BLOCK_TILE_INDEX \
            (NB_BACKGROUND_TILES)
#define FILLED_BLOCK_TILE_INDEX \
            ((EMPTY_BLOCK_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define KO_BLOCK_TILE_INDEX \
            ((FILLED_BLOCK_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define NORMAL_UP_TILE_INDEX \
            ((KO_BLOCK_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define NORMAL_LEFT_TILE_INDEX \
            ((NORMAL_UP_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define NORMAL_RIGHT_TILE_INDEX \
            ((NORMAL_LEFT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define DEEPCHARGE_UP_TILE_INDEX \
            ((NORMAL_RIGHT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define DEEPCHARGE_LEFT_TILE_INDEX \
            ((DEEPCHARGE_UP_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define DEEPCHARGE_RIGHT_TILE_INDEX \
            ((DEEPCHARGE_LEFT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define RANDOM_DIRECTION_TILE_INDEX \
            ((DEEPCHARGE_RIGHT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define INVERTED_MVT_UP_TILE_INDEX \
            ((RANDOM_DIRECTION_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define SPEED_INCREASE_TILE_INDEX \
            ((INVERTED_MVT_UP_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define SPEED_DECREASE_TILE_INDEX \
            ((SPEED_INCREASE_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define COLOR_CLEANER_TILE_INDEX \
            ((SPEED_DECREASE_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define AUTOFIRE_UP_TILE_INDEX \
            ((COLOR_CLEANER_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define PAINTER_UP_TILE_INDEX \
            ((AUTOFIRE_UP_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define PAINTER_LEFT_TILE_INDEX \
            ((PAINTER_UP_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define PAINTER_RIGHT_TILE_INDEX \
            ((PAINTER_LEFT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define MULTIDIRECTION_TILE_INDEX \
            ((PAINTER_RIGHT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define LINE_COL_CLEANER_UP_TILE_INDEX \
            ((MULTIDIRECTION_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define ANTIDOTE_TILE_INDEX \
            ((LINE_COL_CLEANER_UP_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define ERASER_TILE_INDEX \
            ((ANTIDOTE_TILE_INDEX) + NB_TILES_PER_BLOCK)


/* Digits permettant d'indiquer le nombre de tiles disponibles en rserve. */
#define NB_TILES_PER_BLOCK_COUNT_DIGIT 1
#define NB_BLOCK_COUNT_DIGIT_TILES 10
#define START_BLOCK_COUNT_DIGIT_TILES_INDEX \
            ((ERASER_TILE_INDEX) + NB_TILES_PER_BLOCK)


/* Non indpendants de la couleur. */
#define PLAYER_LINE_COL_CLEANER_UP_TILE_INDEX \
            ((START_BLOCK_COUNT_DIGIT_TILES_INDEX) + \
             (NB_TILES_PER_BLOCK_COUNT_DIGIT * NB_BLOCK_COUNT_DIGIT_TILES))
#define PLAYER_LINE_COL_CLEANER_RIGHT_TILE_INDEX \
            ((PLAYER_LINE_COL_CLEANER_UP_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define PLAYER_LINE_COL_CLEANER_LEFT_TILE_INDEX \
            ((PLAYER_LINE_COL_CLEANER_RIGHT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define SCREEN_CLEANER_TILE_INDEX \
            ((PLAYER_LINE_COL_CLEANER_LEFT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define RANDOM_COLOR_UP_TILE_INDEX \
            ((SCREEN_CLEANER_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define RANDOM_COLOR_LEFT_TILE_INDEX \
            ((RANDOM_COLOR_UP_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define RANDOM_COLOR_RIGHT_TILE_INDEX \
            ((RANDOM_COLOR_LEFT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define COLOR_MIXER_TILE_INDEX \
            ((RANDOM_COLOR_RIGHT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define FURY_MOVING_TILE_INDEX \
            ((COLOR_MIXER_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define FURY_SPINNING_TILE_INDEX \
            ((FURY_MOVING_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define BLIND_TILE_INDEX \
            ((FURY_SPINNING_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define ERASER_UP_TILE_INDEX \
            ((BLIND_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define ERASER_LEFT_TILE_INDEX \
            ((ERASER_UP_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define ERASER_RIGHT_TILE_INDEX \
            ((ERASER_LEFT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define COLOR_INDEP_ANTIDOTE_TILE_INDEX \
            ((ERASER_RIGHT_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define COLOR_INDEP_DEEPCHARGE_TILE_INDEX \
            ((COLOR_INDEP_ANTIDOTE_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define COLOR_INDEP_PAINTER_TILE_INDEX \
            ((COLOR_INDEP_DEEPCHARGE_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define COLOR_INDEP_SPEED_DECREASE_TILE_INDEX \
            ((COLOR_INDEP_PAINTER_TILE_INDEX) + NB_TILES_PER_BLOCK)


#define DIGIT_TILES_INDEX \
            ((COLOR_INDEP_SPEED_DECREASE_TILE_INDEX) + NB_TILES_PER_BLOCK)
#define REQUESTER_TILES_INDEX \
            ((DIGIT_TILES_INDEX) + (NB_DIGITS_TILES))
#define FONT_TILES_INDEX \
            ((REQUESTER_TILES_INDEX) + (NB_REQUESTER_TILES))
#endif
