/*
  *** Blocktrap GBA ***
 Franois PESSAUX September 2004
 This program is freeware.
 Use its sources as you whant provided that you leave this copyright unchanged
 and that you drop a small word telling that I'm the author of these sources.
 Thank's a lot.
   --Francois
*/

#include <gba.h>
#include <screen_mode.h>
#include "game.h"
#include "control.h"
#include "intro_gfx.h"


void mosaic_transition_bg0 ()
{
  u8 i ;

  REG_BG0CNT = REG_BG0CNT | BACKGROUND_MOSAIC_ENABLED ;
  for (i = 0; i < 16; i++) {
    while (REG_VCOUNT < 160) ;
    set_mosaic_mode (i, i, 0, 0) ;
  }
  /* On supprime l'effet de mosaique. */
  REG_BG0CNT = REG_BG0CNT & (~BACKGROUND_MOSAIC_ENABLED) ;
}




void play_intro ()
{
  u16 i, j, k ;
  u16 *background_tiles_memory = CHAR_BASE_BLOCK_0_ADDR ;
  u16 *background_video_memory = SCREEN_BASE_BLOCK_16_ADDR ;
  u16 *palette_memory = BACKGROUND_PALETTE_ADDR ;

  set_background0 (BACKGROUND_PRIORITY_0 |
		   BACKGROUND_CHAR_BASE_BLOCK_0 |
		   BACKGROUND_COLOR_256 |
		   BACKGROUND_SCREEN_BASE_BLOCK_16 |
		   TEXT_BACKGROUND_256x256) ;

 /* Initialisation de la palette. */
  for (i=0; i<NB_INTRO_PALETTE_ENTRIES; i++)
    palette_memory[i] = intro_palette[i] ;

  /* Chargement des tiles du fond d'cran en mmoire. */
  for (i=0; i<NB_INTRO_TILES * (64 / 2); i++) {
    background_tiles_memory[i] =
      (u16) ((intro_tiles[(i * 2) + 1]<< 8) |
	     (intro_tiles[(i * 2)])) ;
  }

  /* Chargement de la map de fond. */
  k = 0 ;
  for (j=0; j<20; j++) {          /* Boucle verticale. */
    for (i=0; i<30; i++) {        /* Boucle honrizontale. */
      background_video_memory[(j * (256 / 8)) + i] =
	(u16) intro_map[k] ;
      k++ ;
    }
  }

  /* Positionnement des offsets de scrolling en haut  gauche (0, 0). */
  REG_BG1HOFS = 0 ;
  REG_BG1VOFS = 0 ;

  /* Activation de l'affichage. */
  set_screen_mode (MODE_0 | BG0_ENABLE) ;

  for(;;) {
    KEY_POOL ;
    if ((KEY_HIT (BUTTON_A)) || (KEY_HIT (BUTTON_B)) ||
	(KEY_HIT (BUTTON_START))) break ;
  }

  /* Petite anim de transition... */
  mosaic_transition_bg0 () ;

  set_screen_mode (MODE_0) ;
}
