/*
  *** Blocktrap GBA ***
 Franois PESSAUX September 2004
 This program is freeware.
 Use its sources as you whant provided that you leave this copyright unchanged
 and that you drop a small word telling that I'm the author of these sources.
 Thank's a lot.
   --Francois
*/

#include <stdlib.h>
#include <gba.h>
#include <interrupt.h>
#include "game.h"
#include "init.h"
#include "control.h"
#include "print.h"
#include "intro.h"
#include "fame.h"
#include "persistent.h"
#include "starter.h"
#include "ints.h"
#include "wav_falling.h"


int main (void)
{
  struct game *game ;

  init_sound_handler () ;
  init_timer3 () ;
  play_sound (g_wav_falling) ;
  play_intro () ;
  /* Initialialisation du gnrateur de nombres alatoires. */
  srand (REG_VCOUNT) ;
  load_fame () ;
  setup_cursor_graphics () ;
  init_playground () ;

  /* On esssaye de charger une partie en cours. */
  game = load_game () ;
  if (game != NULL) {
    initial_full_refresh (game) ;
    goto direct_run ;
  }

  for (;;) {
    game = new_game (starter ()) ;
  direct_run:
    game_main_loop (game) ;
    manage_end_of_game () ;
    show_hall_fame () ;
    KEY_POOL ;
    while (1) {
      if ((KEY_HIT (BUTTON_A)) || (KEY_HIT (BUTTON_B)) ||
	  (KEY_HIT (BUTTON_START)) || (KEY_HIT (BUTTON_SELECT))) break ;
      KEY_POOL ;
    }
  }
}
