#include <stdlib.h>
#include <gba.h>
#include "game.h"
#include "print.h"
#include "fame.h"


void save_game (struct game *the_game)
{
  u8 *save_memory = (u8*) 0x0E000000 ;
  struct saved_data tmp ;
  int i ;

  tmp.magic_tag = MAGICNUMBER ;
  tmp.rand_new_seed = ((int) rand ()) + REG_VCOUNT ;
  /* Sauvegarde des scores au passage. */
  for (i = 0; i < 5; i++)
    tmp.saved_hall_of_fame[i] = current_hall_of_fame[i] ;
  for (i = 0; i < sizeof (struct game); i++)
    ((char*) &tmp.saved_game)[i] = ((char*) the_game)[i] ;
  /* Et maintenant, on crit rellement dans la SRAM. */
  for (i = 0; i < sizeof (struct saved_data); i++)
    save_memory[i] = ((char*) &tmp)[i] ;
}



struct game* load_game ()
{
  u8 *save_memory = (u8*) 0x0E000000 ;
  struct saved_data tmp ;
  int i ;
 
  for (i = 0; i < sizeof (struct saved_data); i++)
    ((char*) &tmp)[i] = save_memory[i] ;

  if (tmp.magic_tag != MAGICNUMBER) return (NULL) ;

  /* On ne charge que s'il y avait un jeu en cours sauvegard. */
  if (tmp.saved_game.game_running != TRUE) return (NULL) ;

  srand (tmp.rand_new_seed + REG_VCOUNT + rand ()) ;
  if (notify_long_message
      (TRUE, "A saved\n  game exists.\nContinue ?\nA: Yes B: No.")) {
    for (i = 0; i < sizeof (struct game); i++)
      ((char*) (&current_game))[i] = ((char*) (&tmp.saved_game))[i] ;

    /* On dtruit l'ancienne sauvegarde. */
    tmp.saved_game.game_running = FALSE ;
    save_game (&tmp.saved_game) ;
  }
  return (&current_game) ;
}




void save_fame ()
{
  u8 *save_memory = (u8*) 0x0E000000 ;
  struct saved_data tmp ;
  int i ;

  tmp.magic_tag = MAGICNUMBER ;
  tmp.rand_new_seed = ((int) rand ()) + REG_VCOUNT ;
  for (i = 0; i < 5; i++) tmp.saved_hall_of_fame[i] = current_hall_of_fame[i] ;
  /* On indique que l'ventuel jeu courant  */
  /* pralablement sauv n'est plus valide. */
  tmp.saved_game.game_running = FALSE ;
  /* Et enfin on crit rellement dans la SRAM. */
  for (i = 0; i < sizeof (struct saved_data); i++)
    save_memory[i] = ((char*) &tmp)[i] ;
}



void load_fame ()
{
  u8 *save_memory = (u8*) 0x0E000000 ;
  struct saved_data tmp ;
  int i ;
 
  for (i = 0; i < sizeof (struct saved_data); i++)
    ((char*) &tmp)[i] = save_memory[i] ;

  if (tmp.magic_tag != MAGICNUMBER) return ;
 
  srand (tmp.rand_new_seed + REG_VCOUNT + rand ()) ;
   for (i = 0; i < 5 * sizeof (unsigned int); i++)
     current_hall_of_fame[i] = tmp.saved_hall_of_fame[i] ;
}
