/*
  *** Blocktrap GBA ***
 Franois PESSAUX September 2004
 This program is freeware.
 Use its sources as you whant provided that you leave this copyright unchanged
 and that you drop a small word telling that I'm the author of these sources.
 Thank's a lot.
   --Francois
*/

#include <gba.h>
#include "trigtbl.h"


fixed_dot_8 sin_table[360] ;
fixed_dot_8 cos_table [360] ;


fixed_dot_8 sin_table[360] = {
	0, 	 /* Angle = 0 */
	4, 	 /* Angle = 1 */
	8, 	 /* Angle = 2 */
	13, 	 /* Angle = 3 */
	17, 	 /* Angle = 4 */
	22, 	 /* Angle = 5 */
	26, 	 /* Angle = 6 */
	31, 	 /* Angle = 7 */
	35, 	 /* Angle = 8 */
	40, 	 /* Angle = 9 */
	44, 	 /* Angle = 10 */
	48, 	 /* Angle = 11 */
	53, 	 /* Angle = 12 */
	57, 	 /* Angle = 13 */
	61, 	 /* Angle = 14 */
	66, 	 /* Angle = 15 */
	70, 	 /* Angle = 16 */
	74, 	 /* Angle = 17 */
	79, 	 /* Angle = 18 */
	83, 	 /* Angle = 19 */
	87, 	 /* Angle = 20 */
	91, 	 /* Angle = 21 */
	95, 	 /* Angle = 22 */
	100, 	 /* Angle = 23 */
	104, 	 /* Angle = 24 */
	108, 	 /* Angle = 25 */
	112, 	 /* Angle = 26 */
	116, 	 /* Angle = 27 */
	120, 	 /* Angle = 28 */
	124, 	 /* Angle = 29 */
	127, 	 /* Angle = 30 */
	131, 	 /* Angle = 31 */
	135, 	 /* Angle = 32 */
	139, 	 /* Angle = 33 */
	143, 	 /* Angle = 34 */
	146, 	 /* Angle = 35 */
	150, 	 /* Angle = 36 */
	154, 	 /* Angle = 37 */
	157, 	 /* Angle = 38 */
	161, 	 /* Angle = 39 */
	164, 	 /* Angle = 40 */
	167, 	 /* Angle = 41 */
	171, 	 /* Angle = 42 */
	174, 	 /* Angle = 43 */
	177, 	 /* Angle = 44 */
	181, 	 /* Angle = 45 */
	184, 	 /* Angle = 46 */
	187, 	 /* Angle = 47 */
	190, 	 /* Angle = 48 */
	193, 	 /* Angle = 49 */
	196, 	 /* Angle = 50 */
	198, 	 /* Angle = 51 */
	201, 	 /* Angle = 52 */
	204, 	 /* Angle = 53 */
	207, 	 /* Angle = 54 */
	209, 	 /* Angle = 55 */
	212, 	 /* Angle = 56 */
	214, 	 /* Angle = 57 */
	217, 	 /* Angle = 58 */
	219, 	 /* Angle = 59 */
	221, 	 /* Angle = 60 */
	223, 	 /* Angle = 61 */
	226, 	 /* Angle = 62 */
	228, 	 /* Angle = 63 */
	230, 	 /* Angle = 64 */
	232, 	 /* Angle = 65 */
	233, 	 /* Angle = 66 */
	235, 	 /* Angle = 67 */
	237, 	 /* Angle = 68 */
	238, 	 /* Angle = 69 */
	240, 	 /* Angle = 70 */
	242, 	 /* Angle = 71 */
	243, 	 /* Angle = 72 */
	244, 	 /* Angle = 73 */
	246, 	 /* Angle = 74 */
	247, 	 /* Angle = 75 */
	248, 	 /* Angle = 76 */
	249, 	 /* Angle = 77 */
	250, 	 /* Angle = 78 */
	251, 	 /* Angle = 79 */
	252, 	 /* Angle = 80 */
	252, 	 /* Angle = 81 */
	253, 	 /* Angle = 82 */
	254, 	 /* Angle = 83 */
	254, 	 /* Angle = 84 */
	255, 	 /* Angle = 85 */
	255, 	 /* Angle = 86 */
	255, 	 /* Angle = 87 */
	255, 	 /* Angle = 88 */
	255, 	 /* Angle = 89 */
	256, 	 /* Angle = 90 */
	255, 	 /* Angle = 91 */
	255, 	 /* Angle = 92 */
	255, 	 /* Angle = 93 */
	255, 	 /* Angle = 94 */
	255, 	 /* Angle = 95 */
	254, 	 /* Angle = 96 */
	254, 	 /* Angle = 97 */
	253, 	 /* Angle = 98 */
	252, 	 /* Angle = 99 */
	252, 	 /* Angle = 100 */
	251, 	 /* Angle = 101 */
	250, 	 /* Angle = 102 */
	249, 	 /* Angle = 103 */
	248, 	 /* Angle = 104 */
	247, 	 /* Angle = 105 */
	246, 	 /* Angle = 106 */
	244, 	 /* Angle = 107 */
	243, 	 /* Angle = 108 */
	242, 	 /* Angle = 109 */
	240, 	 /* Angle = 110 */
	238, 	 /* Angle = 111 */
	237, 	 /* Angle = 112 */
	235, 	 /* Angle = 113 */
	233, 	 /* Angle = 114 */
	232, 	 /* Angle = 115 */
	230, 	 /* Angle = 116 */
	228, 	 /* Angle = 117 */
	226, 	 /* Angle = 118 */
	223, 	 /* Angle = 119 */
	221, 	 /* Angle = 120 */
	219, 	 /* Angle = 121 */
	217, 	 /* Angle = 122 */
	214, 	 /* Angle = 123 */
	212, 	 /* Angle = 124 */
	209, 	 /* Angle = 125 */
	207, 	 /* Angle = 126 */
	204, 	 /* Angle = 127 */
	201, 	 /* Angle = 128 */
	198, 	 /* Angle = 129 */
	196, 	 /* Angle = 130 */
	193, 	 /* Angle = 131 */
	190, 	 /* Angle = 132 */
	187, 	 /* Angle = 133 */
	184, 	 /* Angle = 134 */
	181, 	 /* Angle = 135 */
	177, 	 /* Angle = 136 */
	174, 	 /* Angle = 137 */
	171, 	 /* Angle = 138 */
	167, 	 /* Angle = 139 */
	164, 	 /* Angle = 140 */
	161, 	 /* Angle = 141 */
	157, 	 /* Angle = 142 */
	154, 	 /* Angle = 143 */
	150, 	 /* Angle = 144 */
	146, 	 /* Angle = 145 */
	143, 	 /* Angle = 146 */
	139, 	 /* Angle = 147 */
	135, 	 /* Angle = 148 */
	131, 	 /* Angle = 149 */
	127, 	 /* Angle = 150 */
	124, 	 /* Angle = 151 */
	120, 	 /* Angle = 152 */
	116, 	 /* Angle = 153 */
	112, 	 /* Angle = 154 */
	108, 	 /* Angle = 155 */
	104, 	 /* Angle = 156 */
	100, 	 /* Angle = 157 */
	95, 	 /* Angle = 158 */
	91, 	 /* Angle = 159 */
	87, 	 /* Angle = 160 */
	83, 	 /* Angle = 161 */
	79, 	 /* Angle = 162 */
	74, 	 /* Angle = 163 */
	70, 	 /* Angle = 164 */
	66, 	 /* Angle = 165 */
	61, 	 /* Angle = 166 */
	57, 	 /* Angle = 167 */
	53, 	 /* Angle = 168 */
	48, 	 /* Angle = 169 */
	44, 	 /* Angle = 170 */
	40, 	 /* Angle = 171 */
	35, 	 /* Angle = 172 */
	31, 	 /* Angle = 173 */
	26, 	 /* Angle = 174 */
	22, 	 /* Angle = 175 */
	17, 	 /* Angle = 176 */
	13, 	 /* Angle = 177 */
	8, 	 /* Angle = 178 */
	4, 	 /* Angle = 179 */
	0, 	 /* Angle = 180 */
	-4, 	 /* Angle = 181 */
	-8, 	 /* Angle = 182 */
	-13, 	 /* Angle = 183 */
	-17, 	 /* Angle = 184 */
	-22, 	 /* Angle = 185 */
	-26, 	 /* Angle = 186 */
	-31, 	 /* Angle = 187 */
	-35, 	 /* Angle = 188 */
	-40, 	 /* Angle = 189 */
	-44, 	 /* Angle = 190 */
	-48, 	 /* Angle = 191 */
	-53, 	 /* Angle = 192 */
	-57, 	 /* Angle = 193 */
	-61, 	 /* Angle = 194 */
	-66, 	 /* Angle = 195 */
	-70, 	 /* Angle = 196 */
	-74, 	 /* Angle = 197 */
	-79, 	 /* Angle = 198 */
	-83, 	 /* Angle = 199 */
	-87, 	 /* Angle = 200 */
	-91, 	 /* Angle = 201 */
	-95, 	 /* Angle = 202 */
	-100, 	 /* Angle = 203 */
	-104, 	 /* Angle = 204 */
	-108, 	 /* Angle = 205 */
	-112, 	 /* Angle = 206 */
	-116, 	 /* Angle = 207 */
	-120, 	 /* Angle = 208 */
	-124, 	 /* Angle = 209 */
	-127, 	 /* Angle = 210 */
	-131, 	 /* Angle = 211 */
	-135, 	 /* Angle = 212 */
	-139, 	 /* Angle = 213 */
	-143, 	 /* Angle = 214 */
	-146, 	 /* Angle = 215 */
	-150, 	 /* Angle = 216 */
	-154, 	 /* Angle = 217 */
	-157, 	 /* Angle = 218 */
	-161, 	 /* Angle = 219 */
	-164, 	 /* Angle = 220 */
	-167, 	 /* Angle = 221 */
	-171, 	 /* Angle = 222 */
	-174, 	 /* Angle = 223 */
	-177, 	 /* Angle = 224 */
	-181, 	 /* Angle = 225 */
	-184, 	 /* Angle = 226 */
	-187, 	 /* Angle = 227 */
	-190, 	 /* Angle = 228 */
	-193, 	 /* Angle = 229 */
	-196, 	 /* Angle = 230 */
	-198, 	 /* Angle = 231 */
	-201, 	 /* Angle = 232 */
	-204, 	 /* Angle = 233 */
	-207, 	 /* Angle = 234 */
	-209, 	 /* Angle = 235 */
	-212, 	 /* Angle = 236 */
	-214, 	 /* Angle = 237 */
	-217, 	 /* Angle = 238 */
	-219, 	 /* Angle = 239 */
	-221, 	 /* Angle = 240 */
	-223, 	 /* Angle = 241 */
	-226, 	 /* Angle = 242 */
	-228, 	 /* Angle = 243 */
	-230, 	 /* Angle = 244 */
	-232, 	 /* Angle = 245 */
	-233, 	 /* Angle = 246 */
	-235, 	 /* Angle = 247 */
	-237, 	 /* Angle = 248 */
	-238, 	 /* Angle = 249 */
	-240, 	 /* Angle = 250 */
	-242, 	 /* Angle = 251 */
	-243, 	 /* Angle = 252 */
	-244, 	 /* Angle = 253 */
	-246, 	 /* Angle = 254 */
	-247, 	 /* Angle = 255 */
	-248, 	 /* Angle = 256 */
	-249, 	 /* Angle = 257 */
	-250, 	 /* Angle = 258 */
	-251, 	 /* Angle = 259 */
	-252, 	 /* Angle = 260 */
	-252, 	 /* Angle = 261 */
	-253, 	 /* Angle = 262 */
	-254, 	 /* Angle = 263 */
	-254, 	 /* Angle = 264 */
	-255, 	 /* Angle = 265 */
	-255, 	 /* Angle = 266 */
	-255, 	 /* Angle = 267 */
	-255, 	 /* Angle = 268 */
	-255, 	 /* Angle = 269 */
	-256, 	 /* Angle = 270 */
	-255, 	 /* Angle = 271 */
	-255, 	 /* Angle = 272 */
	-255, 	 /* Angle = 273 */
	-255, 	 /* Angle = 274 */
	-255, 	 /* Angle = 275 */
	-254, 	 /* Angle = 276 */
	-254, 	 /* Angle = 277 */
	-253, 	 /* Angle = 278 */
	-252, 	 /* Angle = 279 */
	-252, 	 /* Angle = 280 */
	-251, 	 /* Angle = 281 */
	-250, 	 /* Angle = 282 */
	-249, 	 /* Angle = 283 */
	-248, 	 /* Angle = 284 */
	-247, 	 /* Angle = 285 */
	-246, 	 /* Angle = 286 */
	-244, 	 /* Angle = 287 */
	-243, 	 /* Angle = 288 */
	-242, 	 /* Angle = 289 */
	-240, 	 /* Angle = 290 */
	-238, 	 /* Angle = 291 */
	-237, 	 /* Angle = 292 */
	-235, 	 /* Angle = 293 */
	-233, 	 /* Angle = 294 */
	-232, 	 /* Angle = 295 */
	-230, 	 /* Angle = 296 */
	-228, 	 /* Angle = 297 */
	-226, 	 /* Angle = 298 */
	-223, 	 /* Angle = 299 */
	-221, 	 /* Angle = 300 */
	-219, 	 /* Angle = 301 */
	-217, 	 /* Angle = 302 */
	-214, 	 /* Angle = 303 */
	-212, 	 /* Angle = 304 */
	-209, 	 /* Angle = 305 */
	-207, 	 /* Angle = 306 */
	-204, 	 /* Angle = 307 */
	-201, 	 /* Angle = 308 */
	-198, 	 /* Angle = 309 */
	-196, 	 /* Angle = 310 */
	-193, 	 /* Angle = 311 */
	-190, 	 /* Angle = 312 */
	-187, 	 /* Angle = 313 */
	-184, 	 /* Angle = 314 */
	-181, 	 /* Angle = 315 */
	-177, 	 /* Angle = 316 */
	-174, 	 /* Angle = 317 */
	-171, 	 /* Angle = 318 */
	-167, 	 /* Angle = 319 */
	-164, 	 /* Angle = 320 */
	-161, 	 /* Angle = 321 */
	-157, 	 /* Angle = 322 */
	-154, 	 /* Angle = 323 */
	-150, 	 /* Angle = 324 */
	-146, 	 /* Angle = 325 */
	-143, 	 /* Angle = 326 */
	-139, 	 /* Angle = 327 */
	-135, 	 /* Angle = 328 */
	-131, 	 /* Angle = 329 */
	-128, 	 /* Angle = 330 */
	-124, 	 /* Angle = 331 */
	-120, 	 /* Angle = 332 */
	-116, 	 /* Angle = 333 */
	-112, 	 /* Angle = 334 */
	-108, 	 /* Angle = 335 */
	-104, 	 /* Angle = 336 */
	-100, 	 /* Angle = 337 */
	-95, 	 /* Angle = 338 */
	-91, 	 /* Angle = 339 */
	-87, 	 /* Angle = 340 */
	-83, 	 /* Angle = 341 */
	-79, 	 /* Angle = 342 */
	-74, 	 /* Angle = 343 */
	-70, 	 /* Angle = 344 */
	-66, 	 /* Angle = 345 */
	-61, 	 /* Angle = 346 */
	-57, 	 /* Angle = 347 */
	-53, 	 /* Angle = 348 */
	-48, 	 /* Angle = 349 */
	-44, 	 /* Angle = 350 */
	-40, 	 /* Angle = 351 */
	-35, 	 /* Angle = 352 */
	-31, 	 /* Angle = 353 */
	-26, 	 /* Angle = 354 */
	-22, 	 /* Angle = 355 */
	-17, 	 /* Angle = 356 */
	-13, 	 /* Angle = 357 */
	-8, 	 /* Angle = 358 */
	-4, 	 /* Angle = 359 */
} ;


fixed_dot_8 cos_table[360] = {
	256, 	 /* Angle = 0 */
	255, 	 /* Angle = 1 */
	255, 	 /* Angle = 2 */
	255, 	 /* Angle = 3 */
	255, 	 /* Angle = 4 */
	255, 	 /* Angle = 5 */
	254, 	 /* Angle = 6 */
	254, 	 /* Angle = 7 */
	253, 	 /* Angle = 8 */
	252, 	 /* Angle = 9 */
	252, 	 /* Angle = 10 */
	251, 	 /* Angle = 11 */
	250, 	 /* Angle = 12 */
	249, 	 /* Angle = 13 */
	248, 	 /* Angle = 14 */
	247, 	 /* Angle = 15 */
	246, 	 /* Angle = 16 */
	244, 	 /* Angle = 17 */
	243, 	 /* Angle = 18 */
	242, 	 /* Angle = 19 */
	240, 	 /* Angle = 20 */
	238, 	 /* Angle = 21 */
	237, 	 /* Angle = 22 */
	235, 	 /* Angle = 23 */
	233, 	 /* Angle = 24 */
	232, 	 /* Angle = 25 */
	230, 	 /* Angle = 26 */
	228, 	 /* Angle = 27 */
	226, 	 /* Angle = 28 */
	223, 	 /* Angle = 29 */
	221, 	 /* Angle = 30 */
	219, 	 /* Angle = 31 */
	217, 	 /* Angle = 32 */
	214, 	 /* Angle = 33 */
	212, 	 /* Angle = 34 */
	209, 	 /* Angle = 35 */
	207, 	 /* Angle = 36 */
	204, 	 /* Angle = 37 */
	201, 	 /* Angle = 38 */
	198, 	 /* Angle = 39 */
	196, 	 /* Angle = 40 */
	193, 	 /* Angle = 41 */
	190, 	 /* Angle = 42 */
	187, 	 /* Angle = 43 */
	184, 	 /* Angle = 44 */
	181, 	 /* Angle = 45 */
	177, 	 /* Angle = 46 */
	174, 	 /* Angle = 47 */
	171, 	 /* Angle = 48 */
	167, 	 /* Angle = 49 */
	164, 	 /* Angle = 50 */
	161, 	 /* Angle = 51 */
	157, 	 /* Angle = 52 */
	154, 	 /* Angle = 53 */
	150, 	 /* Angle = 54 */
	146, 	 /* Angle = 55 */
	143, 	 /* Angle = 56 */
	139, 	 /* Angle = 57 */
	135, 	 /* Angle = 58 */
	131, 	 /* Angle = 59 */
	128, 	 /* Angle = 60 */
	124, 	 /* Angle = 61 */
	120, 	 /* Angle = 62 */
	116, 	 /* Angle = 63 */
	112, 	 /* Angle = 64 */
	108, 	 /* Angle = 65 */
	104, 	 /* Angle = 66 */
	100, 	 /* Angle = 67 */
	95, 	 /* Angle = 68 */
	91, 	 /* Angle = 69 */
	87, 	 /* Angle = 70 */
	83, 	 /* Angle = 71 */
	79, 	 /* Angle = 72 */
	74, 	 /* Angle = 73 */
	70, 	 /* Angle = 74 */
	66, 	 /* Angle = 75 */
	61, 	 /* Angle = 76 */
	57, 	 /* Angle = 77 */
	53, 	 /* Angle = 78 */
	48, 	 /* Angle = 79 */
	44, 	 /* Angle = 80 */
	40, 	 /* Angle = 81 */
	35, 	 /* Angle = 82 */
	31, 	 /* Angle = 83 */
	26, 	 /* Angle = 84 */
	22, 	 /* Angle = 85 */
	17, 	 /* Angle = 86 */
	13, 	 /* Angle = 87 */
	8, 	 /* Angle = 88 */
	4, 	 /* Angle = 89 */
	0, 	 /* Angle = 90 */
	-4, 	 /* Angle = 91 */
	-8, 	 /* Angle = 92 */
	-13, 	 /* Angle = 93 */
	-17, 	 /* Angle = 94 */
	-22, 	 /* Angle = 95 */
	-26, 	 /* Angle = 96 */
	-31, 	 /* Angle = 97 */
	-35, 	 /* Angle = 98 */
	-40, 	 /* Angle = 99 */
	-44, 	 /* Angle = 100 */
	-48, 	 /* Angle = 101 */
	-53, 	 /* Angle = 102 */
	-57, 	 /* Angle = 103 */
	-61, 	 /* Angle = 104 */
	-66, 	 /* Angle = 105 */
	-70, 	 /* Angle = 106 */
	-74, 	 /* Angle = 107 */
	-79, 	 /* Angle = 108 */
	-83, 	 /* Angle = 109 */
	-87, 	 /* Angle = 110 */
	-91, 	 /* Angle = 111 */
	-95, 	 /* Angle = 112 */
	-100, 	 /* Angle = 113 */
	-104, 	 /* Angle = 114 */
	-108, 	 /* Angle = 115 */
	-112, 	 /* Angle = 116 */
	-116, 	 /* Angle = 117 */
	-120, 	 /* Angle = 118 */
	-124, 	 /* Angle = 119 */
	-127, 	 /* Angle = 120 */
	-131, 	 /* Angle = 121 */
	-135, 	 /* Angle = 122 */
	-139, 	 /* Angle = 123 */
	-143, 	 /* Angle = 124 */
	-146, 	 /* Angle = 125 */
	-150, 	 /* Angle = 126 */
	-154, 	 /* Angle = 127 */
	-157, 	 /* Angle = 128 */
	-161, 	 /* Angle = 129 */
	-164, 	 /* Angle = 130 */
	-167, 	 /* Angle = 131 */
	-171, 	 /* Angle = 132 */
	-174, 	 /* Angle = 133 */
	-177, 	 /* Angle = 134 */
	-181, 	 /* Angle = 135 */
	-184, 	 /* Angle = 136 */
	-187, 	 /* Angle = 137 */
	-190, 	 /* Angle = 138 */
	-193, 	 /* Angle = 139 */
	-196, 	 /* Angle = 140 */
	-198, 	 /* Angle = 141 */
	-201, 	 /* Angle = 142 */
	-204, 	 /* Angle = 143 */
	-207, 	 /* Angle = 144 */
	-209, 	 /* Angle = 145 */
	-212, 	 /* Angle = 146 */
	-214, 	 /* Angle = 147 */
	-217, 	 /* Angle = 148 */
	-219, 	 /* Angle = 149 */
	-221, 	 /* Angle = 150 */
	-223, 	 /* Angle = 151 */
	-226, 	 /* Angle = 152 */
	-228, 	 /* Angle = 153 */
	-230, 	 /* Angle = 154 */
	-232, 	 /* Angle = 155 */
	-233, 	 /* Angle = 156 */
	-235, 	 /* Angle = 157 */
	-237, 	 /* Angle = 158 */
	-238, 	 /* Angle = 159 */
	-240, 	 /* Angle = 160 */
	-242, 	 /* Angle = 161 */
	-243, 	 /* Angle = 162 */
	-244, 	 /* Angle = 163 */
	-246, 	 /* Angle = 164 */
	-247, 	 /* Angle = 165 */
	-248, 	 /* Angle = 166 */
	-249, 	 /* Angle = 167 */
	-250, 	 /* Angle = 168 */
	-251, 	 /* Angle = 169 */
	-252, 	 /* Angle = 170 */
	-252, 	 /* Angle = 171 */
	-253, 	 /* Angle = 172 */
	-254, 	 /* Angle = 173 */
	-254, 	 /* Angle = 174 */
	-255, 	 /* Angle = 175 */
	-255, 	 /* Angle = 176 */
	-255, 	 /* Angle = 177 */
	-255, 	 /* Angle = 178 */
	-255, 	 /* Angle = 179 */
	-256, 	 /* Angle = 180 */
	-255, 	 /* Angle = 181 */
	-255, 	 /* Angle = 182 */
	-255, 	 /* Angle = 183 */
	-255, 	 /* Angle = 184 */
	-255, 	 /* Angle = 185 */
	-254, 	 /* Angle = 186 */
	-254, 	 /* Angle = 187 */
	-253, 	 /* Angle = 188 */
	-252, 	 /* Angle = 189 */
	-252, 	 /* Angle = 190 */
	-251, 	 /* Angle = 191 */
	-250, 	 /* Angle = 192 */
	-249, 	 /* Angle = 193 */
	-248, 	 /* Angle = 194 */
	-247, 	 /* Angle = 195 */
	-246, 	 /* Angle = 196 */
	-244, 	 /* Angle = 197 */
	-243, 	 /* Angle = 198 */
	-242, 	 /* Angle = 199 */
	-240, 	 /* Angle = 200 */
	-238, 	 /* Angle = 201 */
	-237, 	 /* Angle = 202 */
	-235, 	 /* Angle = 203 */
	-233, 	 /* Angle = 204 */
	-232, 	 /* Angle = 205 */
	-230, 	 /* Angle = 206 */
	-228, 	 /* Angle = 207 */
	-226, 	 /* Angle = 208 */
	-223, 	 /* Angle = 209 */
	-221, 	 /* Angle = 210 */
	-219, 	 /* Angle = 211 */
	-217, 	 /* Angle = 212 */
	-214, 	 /* Angle = 213 */
	-212, 	 /* Angle = 214 */
	-209, 	 /* Angle = 215 */
	-207, 	 /* Angle = 216 */
	-204, 	 /* Angle = 217 */
	-201, 	 /* Angle = 218 */
	-198, 	 /* Angle = 219 */
	-196, 	 /* Angle = 220 */
	-193, 	 /* Angle = 221 */
	-190, 	 /* Angle = 222 */
	-187, 	 /* Angle = 223 */
	-184, 	 /* Angle = 224 */
	-181, 	 /* Angle = 225 */
	-177, 	 /* Angle = 226 */
	-174, 	 /* Angle = 227 */
	-171, 	 /* Angle = 228 */
	-167, 	 /* Angle = 229 */
	-164, 	 /* Angle = 230 */
	-161, 	 /* Angle = 231 */
	-157, 	 /* Angle = 232 */
	-154, 	 /* Angle = 233 */
	-150, 	 /* Angle = 234 */
	-146, 	 /* Angle = 235 */
	-143, 	 /* Angle = 236 */
	-139, 	 /* Angle = 237 */
	-135, 	 /* Angle = 238 */
	-131, 	 /* Angle = 239 */
	-128, 	 /* Angle = 240 */
	-124, 	 /* Angle = 241 */
	-120, 	 /* Angle = 242 */
	-116, 	 /* Angle = 243 */
	-112, 	 /* Angle = 244 */
	-108, 	 /* Angle = 245 */
	-104, 	 /* Angle = 246 */
	-100, 	 /* Angle = 247 */
	-95, 	 /* Angle = 248 */
	-91, 	 /* Angle = 249 */
	-87, 	 /* Angle = 250 */
	-83, 	 /* Angle = 251 */
	-79, 	 /* Angle = 252 */
	-74, 	 /* Angle = 253 */
	-70, 	 /* Angle = 254 */
	-66, 	 /* Angle = 255 */
	-61, 	 /* Angle = 256 */
	-57, 	 /* Angle = 257 */
	-53, 	 /* Angle = 258 */
	-48, 	 /* Angle = 259 */
	-44, 	 /* Angle = 260 */
	-40, 	 /* Angle = 261 */
	-35, 	 /* Angle = 262 */
	-31, 	 /* Angle = 263 */
	-26, 	 /* Angle = 264 */
	-22, 	 /* Angle = 265 */
	-17, 	 /* Angle = 266 */
	-13, 	 /* Angle = 267 */
	-8, 	 /* Angle = 268 */
	-4, 	 /* Angle = 269 */
	0, 	 /* Angle = 270 */
	4, 	 /* Angle = 271 */
	8, 	 /* Angle = 272 */
	13, 	 /* Angle = 273 */
	17, 	 /* Angle = 274 */
	22, 	 /* Angle = 275 */
	26, 	 /* Angle = 276 */
	31, 	 /* Angle = 277 */
	35, 	 /* Angle = 278 */
	40, 	 /* Angle = 279 */
	44, 	 /* Angle = 280 */
	48, 	 /* Angle = 281 */
	53, 	 /* Angle = 282 */
	57, 	 /* Angle = 283 */
	61, 	 /* Angle = 284 */
	66, 	 /* Angle = 285 */
	70, 	 /* Angle = 286 */
	74, 	 /* Angle = 287 */
	79, 	 /* Angle = 288 */
	83, 	 /* Angle = 289 */
	87, 	 /* Angle = 290 */
	91, 	 /* Angle = 291 */
	95, 	 /* Angle = 292 */
	100, 	 /* Angle = 293 */
	104, 	 /* Angle = 294 */
	108, 	 /* Angle = 295 */
	112, 	 /* Angle = 296 */
	116, 	 /* Angle = 297 */
	120, 	 /* Angle = 298 */
	124, 	 /* Angle = 299 */
	128, 	 /* Angle = 300 */
	131, 	 /* Angle = 301 */
	135, 	 /* Angle = 302 */
	139, 	 /* Angle = 303 */
	143, 	 /* Angle = 304 */
	146, 	 /* Angle = 305 */
	150, 	 /* Angle = 306 */
	154, 	 /* Angle = 307 */
	157, 	 /* Angle = 308 */
	161, 	 /* Angle = 309 */
	164, 	 /* Angle = 310 */
	167, 	 /* Angle = 311 */
	171, 	 /* Angle = 312 */
	174, 	 /* Angle = 313 */
	177, 	 /* Angle = 314 */
	181, 	 /* Angle = 315 */
	184, 	 /* Angle = 316 */
	187, 	 /* Angle = 317 */
	190, 	 /* Angle = 318 */
	193, 	 /* Angle = 319 */
	196, 	 /* Angle = 320 */
	198, 	 /* Angle = 321 */
	201, 	 /* Angle = 322 */
	204, 	 /* Angle = 323 */
	207, 	 /* Angle = 324 */
	209, 	 /* Angle = 325 */
	212, 	 /* Angle = 326 */
	214, 	 /* Angle = 327 */
	217, 	 /* Angle = 328 */
	219, 	 /* Angle = 329 */
	221, 	 /* Angle = 330 */
	223, 	 /* Angle = 331 */
	226, 	 /* Angle = 332 */
	228, 	 /* Angle = 333 */
	230, 	 /* Angle = 334 */
	232, 	 /* Angle = 335 */
	233, 	 /* Angle = 336 */
	235, 	 /* Angle = 337 */
	237, 	 /* Angle = 338 */
	238, 	 /* Angle = 339 */
	240, 	 /* Angle = 340 */
	242, 	 /* Angle = 341 */
	243, 	 /* Angle = 342 */
	244, 	 /* Angle = 343 */
	246, 	 /* Angle = 344 */
	247, 	 /* Angle = 345 */
	248, 	 /* Angle = 346 */
	249, 	 /* Angle = 347 */
	250, 	 /* Angle = 348 */
	251, 	 /* Angle = 349 */
	252, 	 /* Angle = 350 */
	252, 	 /* Angle = 351 */
	253, 	 /* Angle = 352 */
	254, 	 /* Angle = 353 */
	254, 	 /* Angle = 354 */
	255, 	 /* Angle = 355 */
	255, 	 /* Angle = 356 */
	255, 	 /* Angle = 357 */
	255, 	 /* Angle = 358 */
	255, 	 /* Angle = 359 */
} ;
